SUSE SLES11セキュリティ更新プログラム:expat(SUSE-SU-2017:0415-1)

high Nessus プラグイン ID 97065

言語:

概要

リモートのSUSEホストに1つ以上のセキュリティ更新がありません。

説明

expat のこの更新は、以下のセキュリティ上の問題を修正します:

- CVE-2012-6702:XML_SetHashSaltを呼び出さなかったパーサーや、0のシードを渡さなかったパーサーでExpatを使用すると、コンテキスト依存の攻撃者がsrand関数の使用を伴うベクトルを介して、暗号保護メカニズムを簡単に破ることができます。(bsc#983215)

- CVE-2016-5300:ExpatのXMLパーサーは、ハッシュ初期化に十分なエントロピーを使用しません。これにより、コンテキスト依存の攻撃者がXML文書内の細工された識別子を介してサービス拒否(CPU消費)を引き起こす可能性があります。注:この脆弱性は、CVE-2012-0876の修正が不完全なために存在します。(bsc#983216)

注意:Tenable Network Securityは、前述の記述ブロックをSUSEセキュリティアドバイザリから直接抽出しています。Tenableでは、新たな問題を持ち込まずに、できる限り自動的に整理して書式設定するようにしています。

ソリューション

この SUSE セキュリティ更新をインストールするには、YaST online_update を使用してください。
別の方法として、製品にリストされているコマンドを実行することができます:

SUSE Studio Onsite 1.3:zypper in -t patch slestso13-expat-12972=1

SUSE Linux Enterpriseソフトウェア開発キット 11-SP4:zypper in -t patch sdksp4-expat-12972=1

SUSE Linux Enterprise Server 11-SP4:zypper in -t patch slessp4-expat-12972=1

SUSE Linux Enterprise Debuginfo 11-SP4:zypper in -t patch dbgsp4-expat-12972=1

お使いのシステムを最新の状態にするには、「zypper パッチ」を使用してください。

関連情報

https://bugzilla.suse.com/show_bug.cgi?id=1022037

https://bugzilla.suse.com/show_bug.cgi?id=983215

https://bugzilla.suse.com/show_bug.cgi?id=983216

https://www.suse.com/security/cve/CVE-2012-6702/

https://www.suse.com/security/cve/CVE-2016-5300/

http://www.nessus.org/u?88df94b3

プラグインの詳細

深刻度: High

ID: 97065

ファイル名: suse_SU-2017-0415-1.nasl

バージョン: 3.7

タイプ: local

エージェント: unix

公開日: 2017/2/8

更新日: 2021/1/19

サポートされているセンサー: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 4.4

CVSS v2

リスクファクター: High

Base Score: 7.8

Temporal Score: 5.8

ベクトル: AV:N/AC:L/Au:N/C:N/I:N/A:C

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 7.5

Temporal Score: 6.5

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:novell:suse_linux:expat, p-cpe:/a:novell:suse_linux:libexpat1, cpe:/o:novell:suse_linux:11

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2017/2/7

脆弱性公開日: 2012/7/3

参照情報

CVE: CVE-2012-0876, CVE-2012-6702, CVE-2016-5300

BID: 52379